How to convert from SolidEdgePart.ExtrudedProtrusion to SolidEdgePart.BodylFeature ?

 

I don't know how to convert from SolidEdgePart.ExtrudedProtrusion to SolidEdgePart.BodyFeature ?

Code

SolidEdgePart.BodyFeature F=(SolidEdgePart.BodyFeature)extrudedProtrusionVariable;

raise exception InvalidCastException.

 

Posted by: Juraj Joob
Post date: 1/28/2010 9:19:11 PM

1 REPLY

RE: How to convert from SolidEdgePart.ExtrudedProtrusion to SolidEdgePart.BodylFeature ?

You can save the file or a model as Parasolid and open with Solid Edge template.

 

objDoc.SaveBody(para_name) 'for a model see options

objDocNew=objApp.Documents.OpenWithTemplate(para_name & ".x_t", templatename)

 

In the new file you have the BodyFeature.

 

 

Posted by: JR
Post date: 2/1/2010 9:13:43 PM